import { StoryObj } from '@storybook/react';
import { Icon } from '../Icon';
import { IconNames } from '../IconNames';
export type Story = StoryObj<typeof Icon>;
export declare const testIcon = IconNames.check;
export declare const mockOnClick: import('@vitest/spy').Mock<(...args: any[]) => any>;
export declare const mockOnMouseEnter: import('@vitest/spy').Mock<(...args: any[]) => any>;
export declare const mockOnMouseLeave: import('@vitest/spy').Mock<(...args: any[]) => any>;
export declare const testColors: {
    readonly primary: "#007bff";
    readonly secondary: "#6c757d";
    readonly success: "#28a745";
    readonly rgba: "rgba(255, 0, 0, 0.8)";
    readonly cssVar: "--p500";
};
export declare const selectors: {
    readonly icon: "span";
    readonly svg: "svg";
};
